function init(hero) {
    hero.setName("Nightwing/Dick Grayson");
    hero.setTier(6);
    
    hero.setHelmet("Mask");
    hero.setChestplate("Chestplate");
    hero.setLeggings("Leggings");
    hero.setBoots("Boots");
	hero.addPrimaryEquipment("fiskheroes:grappling_gun", true);
    
    hero.addPowers("tgheroes:wingsuit");
    hero.addAttribute("PUNCH_DAMAGE", 6.0, 0);
    hero.addAttribute("WEAPON_DAMAGE", 3.5, 0);
    hero.addAttribute("JUMP_HEIGHT", 1.0, 0);
    hero.addAttribute("FALL_RESISTANCE", 8.0, 0);
    hero.addAttribute("SPRINT_SPEED", 0.2, 1);
    hero.addAttribute("IMPACT_DAMAGE", 0.5, 1);
    
    hero.addKeyBind("UTILITY_BELT", "Utility Belt", 2);
	hero.addKeyBind("BLADE", "Escrima Sticks", 1);
    
	hero.addAttributeProfile("BLADE", battonstProfile);
    hero.setAttributeProfile(getProfile);
    hero.setDamageProfile(getProfile);
    hero.addDamageProfile("BLADE", {"types": {"BLUNT": 1.0}});	
	hero.setModifierEnabled(isModifierEnabled);
    hero.setHasPermission((entity, permission) => permission == "USE_GRAPPLING_GUN");
}

function battonstProfile(profile) {
    profile.inheritDefaults();
    profile.addAttribute("PUNCH_DAMAGE", 9, 0);
}

function getProfile(entity) {
    return entity.getData("fiskheroes:blade") ? "BLADE" : null;
}

function isModifierEnabled(entity, modifier) {
	if (modifier.name() == "fiskheroes:lightning_cast") {
		return entity.getData("fiskheroes:blade");
	}
    return true;
}